<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Capture Profile</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a>  </div>
  <div class="headertitle">
<div class="title">Capture Profile</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___g_l_o_b_a_l"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___g_l_o_b_a_l.html">Capture Global</a></td></tr>
<tr class="memdesc:group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___g_l_o_b_a_l"><td class="mdescLeft">&#160;</td><td class="mdescRight">This section has a list of all the globals exposed by the profile. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e_s.html">Capture Profile Internal Data Structures</a></td></tr>
<tr class="memdesc:group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e_s"><td class="mdescLeft">&#160;</td><td class="mdescRight">This section has a list of all the internal data structures which are a part of the profile module. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html">Capture Profile Internal Functions</a></td></tr>
<tr class="memdesc:group___c_a_p_t_u_r_e___p_r_o_f_i_l_e___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n"><td class="mdescLeft">&#160;</td><td class="mdescRight">This section has a list of all the internal function which are a part of the profile module. These are not exposed to the application and are completely abstracted by the framework. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The Profile can be used to capture ADC samples into memory.</p>
<h2>Loading Profile: </h2>
<ul>
<li>The Profile can be loaded into the Test Framework by using the following profile configuration: "gCaptureProfileCfg"</li>
</ul>
<h2>Configurability: </h2>
<ul>
<li>Supports both XWR14xx and XWR16xx</li>
<li>Does <em>NOT</em> use the mmWave control module</li>
<li>Does <em>NOT</em> expose any additional commands.</li>
<li>Uses hardcoded EDMA channel identifiers.</li>
<li>Uses EDMA channels to DMA the data from the ADC buffer into the gDataCube memory. The gDataCube memory is global and the profile defines this global data buffer to be placed into the ".dataCubeMemory" memory section.</li>
</ul>
<h2>Execution: </h2>
<ul>
<li>The profile executes every chirp and if there is space will DMA the data into the global buffer as long as there is space in the buffer. </li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
